Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::PolicyError &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyError *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyError *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::PolicyError *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::InvalidPolicies &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::InvalidPolicies *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::InvalidPolicies *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::InvalidPolicies *&)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Policy_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyManager_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyManager_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyCurrent_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyCurrent_ptr &)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyCurrent_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyManager_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::InvalidPolicies * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::InvalidPolicies & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyError * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::PolicyError & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyCurrent_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyManager_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Policy_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::InvalidPolicies *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::InvalidPolicies *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::PolicyError *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyError *& |
| ) |